LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.ALL;
USE IEEE.NUMERIC_STD.ALL;

ENTITY test is
END ENTITY test;

ARCHITECTURE test_mux of test IS

SIGNAL A,B,S : STD_LOGIC_VECTOR(7 DOWNTO 0);
SIGNAL C : STD_LOGIC := '0';
SIGNAL C_en : STD_LOGIC := '1';
CONSTANT periode : TIME := 10 ns;
BEGIN
	
	mux : ENTITY WORK.MUX2_1 PORT MAP(A,B,C,S);

	C <= (NOT C) AND C_en AFTER periode/2;

	A <= "00000000", "10011010" AFTER 10 ns, "00000000" AFTER 30 ns;
	B <= "00000000", "11001111" AFTER 20 ns;
	C_en <= '0' AFTER 40 ns;
END ARCHITECTURE;

